Skip to main content
GET
/
alpha
/
transactions
/
cctp
/
transactions
/
{action}
/
{userAddress}
/
{srcNetwork}
/
{dstNetwork}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/transactions/cctp/transactions/{action}/{userAddress}/{srcNetwork}/{dstNetwork} \
  --header 'x-api-key: <api-key>'
{
  "currentActionIndex": 123,
  "actions": [
    {
      "name": "<string>",
      "tx": {
        "to": "<string>",
        "chainId": 1,
        "data": "<string>",
        "value": "<string>"
      },
      "simulation": {
        "url": "<string>",
        "status": "success",
        "tokensReceived": {},
        "tokensSpent": {}
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

action
enum<string>
required

Action to perform: bridge or claim

Available options:
bridge,
claim
userAddress
string
required

User wallet address

Pattern: ^0x[a-fA-F0-9]{40}$
srcNetwork
enum<string>
required

Source network

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
dstNetwork
enum<string>
required

Destination network

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793

Query Parameters

amount
string

Amount to bridge in base units

useForwarding
boolean
default:false

Use relay service for auto-claim

transferType
enum<string>
default:standard

Type of transfer for fee calculation (only applicable for bridge action)

Available options:
standard,
fast
recipientAddress
string

Recipient on destination (defaults to userAddress)

Pattern: ^0x[a-fA-F0-9]{40}$
assetAddress
string

Asset to bridge (defaults to USDC)

Pattern: ^0x[a-fA-F0-9]{40}$
message
string

Message from status endpoint (required for claim)

Pattern: ^0x[a-fA-F0-9]*$
attestation
string

Attestation from status endpoint (required for claim)

Pattern: ^0x[a-fA-F0-9]*$

Response

Default Response

currentActionIndex
number
required
actions
object[]
required